Bug 55424 - Install results in unbootable system on Athlon Thunderbirds
Install results in unbootable system on Athlon Thunderbirds
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-10-30 19:20 EST by Dan Morrill
Modified: 2007-04-18 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-03 18:20:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dan Morrill 2001-10-30 19:20:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.17 alpha)

Description of problem:
During the install, anaconda apparently attempts to figure out what
processor is in use.  For Athlon systems, it installs the Athlon kernel.

The problem is that kernels optimized for Athlon DO NOT WORK on recent
Athlons, in kernel versions earlier than ~ 2.4.12.  Since Enigma uses 2.4.7
or 2.4.9 and installs ONLY the athlon kernel, installation completes with
no bootable kernel.  This has been known for months, and is not exactly a
new issue.

Two fixes should be made:  anaconda should NOT install the athlon-optimized
kernel on recent Athlons (don't know which ones), and regardless of the
processor in use, anaconda should ALWAYS install a known-good failsafe
kernel (i.e. i386 optimizations.)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install RH 7.2 on an Athlon (Thunderbird.)

Actual Results:  System doesn't boot. Various random kernel panics.

Expected Results:  System should have booted.

Additional info:

I have personally verified that Linux 2.4.10 and earlier fail on 1.33GHz
and 1.2GHz Athlon (Thunderbirds; it doesn't happen with Durons and older
Athlons (< 1GHz?)).  This happens even with RH 7.1, if you build your own
kernel with Athlon optimizations.  I am now left with an unbootable
system;  I can't even reinstall 7.2 fresh (this was an upgrade) because
it'll just crash again.

In this case, I was able to boot off the rescue CD (good thing that came
back), and manually extract the i386 kernel via rpm2cpio.  I installed it
manually, and was able to boot.  However, I am writing a book on Linux
systems;  most casual users are not.  This would have been a showstopper
for most people.
Comment 1 Brent Fox 2001-10-30 23:32:04 EST
katzj, anaconda doesn't do any detection for Athlon that I'm aware of.  Should
this problem be reassigned to the kernel?
Comment 2 Brent Fox 2001-11-03 18:20:34 EST
morrildl, can you try booting the install with 'linux noathlon'?  Does that help?
Comment 3 Brent Fox 2001-11-13 15:25:32 EST
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.